Subject: [Trans] 6962-bis: Empty consistency proof for trees of equal size

From: Eran Messeri <[email-masked]>
Date: Fri, 7 Apr 2017 09:47:45 +0100

In ticket 188 <https://trac.ietf.org/trac/trans/ticket/188> I propose
explicitly stating that a call to get-sth-consistency with equal first,
second parameters (two identical trees) should yield an empty consistency
proof (i.e. that is a valid request to the log and the only valid response
is an empty consistency proof).

That issue came up when compliance monitoring one of the V1 logs, which
returned an HTTP 400 error for this request. Since the proof checking
algorithm specifies behaviour for an empty proof, I see no reason for the
log not to return it in this (appropriate) case.

The document change is out for review in
https://github.com/google/certificate-transparency-rfcs/pull/245.

Eran